Python and OSX 10.8

William R. Wing (Bill Wing) wrw at
Thu Aug 9 17:06:32 CEST 2012

On Aug 9, 2012, at 10:38 AM, David Thomas <dthomas86 at> wrote:

> Im looking to upgrade my Mac to 10.8 and I'm worried if Python and IDLE may not run on it.
> When I try to run this command in Terminal: python -m idlelib.idle
> I can not launch IDLE which comes bundled on Mac.  On Lion it's been fine but I've tried it on my friend's copy of Mountain Lion and it will not work.
> -- 

It is almost certainly because on your friend's ML system the Python being invoked is still Apple's installation in /System/Library/Frameworks.  If you download and install the default 2.7 from (which will go in /Library/Frameworks…) it will work.  I just tested your command and it works fine on my ML system.  If you want, I'll send you my python path off line.


More information about the Python-list mailing list